%global _empty_manifest_terminate_build 0
Name:		python-minidb
Version:	2.0.4
Release:	1
Summary:	A simple SQLite3-based store for Python objects
License:	ISC
URL:		http://thp.io/2010/minidb/
Source0:	https://files.pythonhosted.org/packages/84/e0/71c8cdd7c851f1ceefc4d11562cb7f311023cb7af9ad3bacb0cce638c838/minidb-2.0.4.tar.gz
BuildArch:	noarch


%description


%package -n python3-minidb
Summary:	A simple SQLite3-based store for Python objects
Provides:	python-minidb
BuildRequires:	python3-devel
BuildRequires:	python3-setuptools
%description -n python3-minidb


%package help
Summary:	Development documents and examples for minidb
Provides:	python3-minidb-doc
%description help


%prep
%autosetup -n minidb-2.0.4

%build
%py3_build

%install
%py3_install
install -d -m755 %{buildroot}/%{_pkgdocdir}
if [ -d doc ]; then cp -arf doc %{buildroot}/%{_pkgdocdir}; fi
if [ -d docs ]; then cp -arf docs %{buildroot}/%{_pkgdocdir}; fi
if [ -d example ]; then cp -arf example %{buildroot}/%{_pkgdocdir}; fi
if [ -d examples ]; then cp -arf examples %{buildroot}/%{_pkgdocdir}; fi
pushd %{buildroot}
if [ -d usr/lib ]; then
	find usr/lib -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/lib64 ]; then
	find usr/lib64 -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/bin ]; then
	find usr/bin -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/sbin ]; then
	find usr/sbin -type f -printf "/%h/%f\n" >> filelist.lst
fi
touch doclist.lst
if [ -d usr/share/man ]; then
	find usr/share/man -type f -printf "/%h/%f.gz\n" >> doclist.lst
fi
popd
mv %{buildroot}/filelist.lst .
mv %{buildroot}/doclist.lst .

%files -n python3-minidb -f filelist.lst
%dir %{python3_sitelib}/*

%files help -f doclist.lst
%{_docdir}/*

%changelog
* Sat Mar 27 2021 Python_Bot <Python_Bot@openeuler.org>
- Package Spec generated
